%define upstream_name    Authen-Passphrase
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Hashed passwords/passphrases as objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::DecHpwd) >= 2.3.0
BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(Crypt::Eksblowfish::Bcrypt) >= 0.8.0
BuildRequires: perl(Crypt::Eksblowfish::Uklblowfish) >= 0.8.0
BuildRequires: perl(Crypt::MySQL) >= 0.30.0
BuildRequires: perl(Crypt::PasswdMD5) >= 1.0.0
BuildRequires: perl(Crypt::UnixCrypt_XS) >= 0.80.0
BuildRequires: perl(Data::Entropy::Algorithms)
BuildRequires: perl(Digest) >= 1.0.0
BuildRequires: perl(Digest::MD4) >= 1.200.0
BuildRequires: perl(Digest::MD5) >= 1.995.300
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(MIME::Base64) >= 2.210.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Runtime) >= 0.11.0
BuildRequires: perl(Params::Classify)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the base class for a system of objects that encapsulate
passphrases. An object of this type is a passphrase recogniser: its job is
to recognise whether an offered passphrase is the right one. For security,
such passphrase recognisers usually do not themselves know the passphrase
they are looking for; they can merely recognise it when they see it. There
are many schemes in use to achieve this effect, and the intent of this
class is to provide a consistent interface to them all, hiding the details.

The CPAN package Authen::Passphrase contains implementations of several
specific passphrase schemes in addition to the base class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 363241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 0.8.0-1.mga2
+ Revision: 211920
- update to 0.008

* Wed Jan 26 2011 jquelin <jquelin> 0.7.0-2.mga1
+ Revision: 39981
- mageia rebuild
- imported package perl-Authen-Passphrase

